%define upstream_name    Tapper-Reports-Web
%define upstream_version 4.1.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Tapper frontend web application based on Catalyst
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Controller)
BuildRequires: perl(Catalyst::Controller::HTML::FormFu)
BuildRequires: perl(Catalyst::Model::DBIC::Schema)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader)
BuildRequires: perl(Catalyst::Plugin::Session)
BuildRequires: perl(Catalyst::Plugin::Session::State::Cookie)
BuildRequires: perl(Catalyst::Plugin::Session::Store::File)
BuildRequires: perl(Catalyst::Plugin::Static::Simple)
BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(Catalyst::ScriptRunner)
BuildRequires: perl(Catalyst::View::HTML::Mason)
BuildRequires: perl(Cwd)
BuildRequires: perl(Data::DPath)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime)
BuildRequires: perl(DateTime::Format::DateParse)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(DateTime::Format::Strptime)
BuildRequires: perl(DateTime::Format::SQLite)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(FCGI)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.30.0
BuildRequires: perl(File::stat)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(HTML::FromANSI)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(Module::Find) >= 0.110.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Perl6::Junction)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Set::Intersection)
BuildRequires: perl(TAP::Formatter::HTML)
BuildRequires: perl(Tapper::Cmd::Precondition)
BuildRequires: perl(Tapper::Cmd::Testplan)
BuildRequires: perl(Tapper::Cmd::Testrun)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Tapper::Testplan::Plugins::Taskjuggler)
BuildRequires: perl(Tapper::Testplan::Reporter)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize::Catalyst)
BuildRequires: perl(XML::Feed)
BuildRequires: perl(YAML)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(common::sense)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Tapper frontend web application based on Catalyst.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tapper_reports_web_cgi.pl
/usr/bin/tapper_reports_web_create.pl
/usr/bin/tapper_reports_web_fastcgi.pl
/usr/bin/tapper_reports_web_fastcgi_live.pl
/usr/bin/tapper_reports_web_fastcgi_public.pl
/usr/bin/tapper_reports_web_server.pl
/usr/bin/tapper_reports_web_test.pl
/usr/share/man/man1/tapper_reports_web_cgi.pl.1.xz
/usr/share/man/man1/tapper_reports_web_create.pl.1.xz
/usr/share/man/man1/tapper_reports_web_fastcgi.pl.1.xz
/usr/share/man/man1/tapper_reports_web_fastcgi_live.pl.1.xz
/usr/share/man/man1/tapper_reports_web_fastcgi_public.pl.1.xz
/usr/share/man/man1/tapper_reports_web_server.pl.1.xz
/usr/share/man/man1/tapper_reports_web_test.pl.1.xz


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 4.1.2-3.mga4
+ Revision: 528502
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 shlomif <shlomif> 4.1.2-2.mga4
+ Revision: 445734
- Add missing BR

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 4.1.2

* Mon Oct 29 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 311469
- BR + Summary + Description
- imported package perl-Tapper-Reports-Web


* Mon Oct 29 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
